Skip to main content
`Ctrl`+`K`

# PetscLogStageGetPerfInfo

Return the performance information about the given stage

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogStageGetPerfInfo(PetscLogStage stage, PetscEventPerfInfo *info)

No Fortran Support

## Input Parameters

- stage - The stage number or `PETSC_DETERMINE` for the current stage

## Output Parameter

- info - This structure is filled with the performance information

## Notes

This is a low level routine used by the logging functions in PETSc.

A `PETSCLOGHANDLERDEFAULT` must be running for this to work, having been started either with `PetscLogDefaultBegin()` or from the command line with `-log_view`. If it was not started, all performance statistics in `info` will be zeroed.

## See Also

Profiling, `PetscLogEventRegister()`, `PetscLogEventBegin()`, `PetscLogEventEnd()`, `PetscLogGetDefaultHandler()`

## Level

intermediate

## Location

src/sys/logging/plog.c

Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages